© 2018 WebHive

Об одной раздражающей ошибке bundler

Не первый раз уже ловлю такую ошибку при установке приложения на новый хост с помощью RVM

1
GemNotFound: Could not find minitest-4.7.5.gem for installation

Полный текст ошибки выглядит примерно так.

1
2
3
DEBUG [f2e1c052]  Bundler::GemNotFound: Could not find minitest-4.7.5.gem for installation
DEBUG [f2e1c052] An error occurred while installing minitest (4.7.5), and Bundler cannot continue.
DEBUG [f2e1c052] Make sure that `gem install minitest -v '4.7.5'` succeeds before bundling.

Проблема собственно в том, что RVM ставит по умолчанию довольно старую версию bundler

Вот тут разбор полётов

https://github.com/bundler/bundler/issues/2780

Ну и лечится это обновлением bundler-а до последней версии.

1
gem install bundler

Комментарии